Description

In case of layers with essentially the same shapes, with different precision, the diff between these layers produces a number of virtually 0

width polygons.

These microareas are tricky and time consuming to remove (if they are isolated, a possible solution is to select and remove those smaller

than an arbitrary threshold, but if they are linked to some "real" polygons, this will not work).

I suggest to add a parameter in analyses, to either snap original data within a threshold before running the analysis, or to clean up the

results afterwards

History

#1 - 2014-01-13 10:55 PM - Paolo Cavallini

See a discussion on: http://lists.osgeo.org/pipermail/qgis-developer/2014-January/030119.html

#2 - 2014-01-16 03:07 AM - Paolo Cavallini

Probably this could be solved with a new command, allowing the user to arbitrarily reduce the precision of coordinates (filling up the rest with 0s).

#3 - 2017-01-02 05:50 AM - Giovanni Manghi

- Category changed from 44 to Processing/QGIS

#4 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2018-02-24 02:10 PM - Paolo Cavallini

- Status changed from Open to Feedback

- Description updated

Still valid? With automatic reprojection now in Processing the issue can be even more serious.
